{ pkgs, username, ... }: {
    services.greetd = {
        enable = true;
        settings.default_session.command = "Hyprland";
    };

    services.cage = {
        enable = true;
        user = username;
    };
    
    environment.etc = {
        "greetd/background.jpg".source = ./background.jpg;
    };
    
    programs.regreet = {
        enable = true;
        cageArgs = ["-s" "-m" "last" ];
        
        settings = builtins.fromTOML (builtins.readFile ./regreet.toml);

    };
}
